with GNATCOM.Dispinterface;

package MSHTML.IHTMLImgElement_Object is

   type IHTMLImgElement_Type is
     new GNATCOM.Dispinterface.Dispinterface_Type with null record;

   procedure Put_isMap
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_isMap
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_useMap
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_useMap
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_mimeType
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fileSize
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fileCreatedDate
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fileModifiedDate
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_fileUpdatedDate
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_protocol
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_href
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_nameProp
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_border
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_border
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_vspace
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_vspace
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_hspace
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_hspace
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_alt
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_alt
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_src
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_src
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_lowsrc
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_lowsrc
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_vrml
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_vrml
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_dynsrc
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_dynsrc
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_readyState
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   function Get_complete
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_loop
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_loop
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_align
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_align
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onload
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onload
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onerror
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onerror
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_onabort
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_onabort
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_name
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_name
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_width
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_width
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_height
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_height
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

   procedure Put_start
     (This : IHTMLImgElement_Type;
      P1   : GNATCOM.Types.VARIANT;
      Free : Boolean := True);

   function Get_start
     (This : IHTMLImgElement_Type)
     return GNATCOM.Types.VARIANT;

end MSHTML.IHTMLImgElement_Object;

